import matplotlib.pyplot as mpt
import japanize_matplotlib
import math

def sqr(x):
    return x * x

data = [66, 59, 62, 64, 63,
        68, 65, 59, 68, 64,
        65, 51, 67, 64, 83,
        59, 61, 62, 57, 72,
        65, 64, 54, 60, 53,
        65, 67, 60, 53, 79,
        74, 53, 61, 68, 75,
        50, 57, 55, 66, 56,
        55, 61, 70, 71, 49,
        69, 70, 80, 73, 72]

n = len(data)           #  The number of scores
print("個数 = {}".format(n))

print("データ...")
i = 1
for x in data:
    print("{0:}:  {1:}".format(i, x))
    i+=1

mpt.title("ヒストグラム")       #   タイトル
mpt.xlabel("スコア")            #   X軸のラベル
mpt.ylabel("度数")              #   Y軸のラベル
mpt.hist(data, bins = 10)       #   ヒストグラムの描画
mpt.show()                      #   描画グラフの表示

